# Terminals

Terminals related endpoints

## Get a single terminal

> This returns the terminal corresponding to the provided \`id\`<br>

```json
{"openapi":"3.0.1","info":{"title":"","version":"0.1.0"},"tags":[{"description":"Terminals related endpoints","name":"Terminals"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"Terminal":{"additionalProperties":false,"description":"An API terminal object","properties":{"id":{"description":"The terminal's id","type":"string"},"shop":{"additionalProperties":false,"description":"A Shop object","properties":{"address_1":{"description":"Information about the shop's address","nullable":true,"type":"string"},"address_2":{"description":"Additional information about the shop's address","nullable":true,"type":"string"},"city":{"description":"The city the shop is located at","nullable":true,"type":"string"},"country_code":{"description":"The code of the country the shop is located at","nullable":true,"type":"string"},"id":{"description":"The shop's id","type":"string"},"is_final_shop_transfer":{"description":"Information about the shop's transfer","nullable":true,"type":"string"},"region":{"description":"The region the shop is located at","nullable":true,"type":"string"},"shop_name":{"description":"The shop's name","nullable":true,"type":"string"},"shop_transfer_id":{"description":"The shop's transfer id","nullable":true,"type":"string"},"status_code":{"description":"The shop's status code","nullable":true,"type":"string"},"street":{"description":"The name of the street the shop is located at","nullable":true,"type":"string"},"type_code":{"description":"The shop's type code","nullable":true,"type":"string"},"zip_code":{"description":"The zip code of the area the shop is located","nullable":true,"type":"string"}},"type":"object"},"terminal_name":{"description":"The name of the terminal device","nullable":true,"type":"string"},"terminal_type":{"description":"The specific type of the terminal device","nullable":true,"type":"string"}},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/terminals/{id}":{"get":{"description":"This returns the terminal corresponding to the provided `id`\n","operationId":"get_sports_terminal","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"The terminal id to get","in":"path","name":"id","required":true,"schema":{"type":"string"}},{"description":"The operator to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored.\n","in":"query","name":"operator","required":false,"schema":{"type":"string"}},{"description":"The bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`sub_bookmaker_id` parameter.\n","in":"query","name":"bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The sub-bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`bookmaker_id` parameter.\n","in":"query","name":"sub_bookmaker_id","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"$ref":"#/components/schemas/Terminal"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not Found"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Entity"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Get a single terminal","tags":["Terminals"]}}}}
```

## Lists all terminals

> This returns a list of all registered terminals.\
> For each terminal, any information available for the shop it belongs to will also be returned.<br>

```json
{"openapi":"3.0.1","info":{"title":"","version":"0.1.0"},"tags":[{"description":"Terminals related endpoints","name":"Terminals"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"Terminal":{"additionalProperties":false,"description":"An API terminal object","properties":{"id":{"description":"The terminal's id","type":"string"},"shop":{"additionalProperties":false,"description":"A Shop object","properties":{"address_1":{"description":"Information about the shop's address","nullable":true,"type":"string"},"address_2":{"description":"Additional information about the shop's address","nullable":true,"type":"string"},"city":{"description":"The city the shop is located at","nullable":true,"type":"string"},"country_code":{"description":"The code of the country the shop is located at","nullable":true,"type":"string"},"id":{"description":"The shop's id","type":"string"},"is_final_shop_transfer":{"description":"Information about the shop's transfer","nullable":true,"type":"string"},"region":{"description":"The region the shop is located at","nullable":true,"type":"string"},"shop_name":{"description":"The shop's name","nullable":true,"type":"string"},"shop_transfer_id":{"description":"The shop's transfer id","nullable":true,"type":"string"},"status_code":{"description":"The shop's status code","nullable":true,"type":"string"},"street":{"description":"The name of the street the shop is located at","nullable":true,"type":"string"},"type_code":{"description":"The shop's type code","nullable":true,"type":"string"},"zip_code":{"description":"The zip code of the area the shop is located","nullable":true,"type":"string"}},"type":"object"},"terminal_name":{"description":"The name of the terminal device","nullable":true,"type":"string"},"terminal_type":{"description":"The specific type of the terminal device","nullable":true,"type":"string"}},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/terminals":{"get":{"description":"This returns a list of all registered terminals.\nFor each terminal, any information available for the shop it belongs to will also be returned.\n","operationId":"list_sports_terminals","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"Optional filtering of the terminal devices to retrieve. It expects a string\n        adhering to the filtering format, as described in the filtering section.","in":"query","name":"filters","required":false,"schema":{"enum":["terminal_name","terminal_type","shop_id"],"type":"string"}},{"description":"The columns to sort the results by. It expects a string adhering to\nthe ordering format, as described in the ordering section, e.g.\n`+id,-terminal_name`.\n","in":"query","name":"order_by","required":false,"schema":{"enum":["id","terminal_name","terminal_type","shop_id"],"type":"string"}},{"description":"The operator to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored.\n","in":"query","name":"operator","required":false,"schema":{"type":"string"}},{"description":"The bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`sub_bookmaker_id` parameter.\n","in":"query","name":"bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The sub-bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`bookmaker_id` parameter.\n","in":"query","name":"sub_bookmaker_id","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"description":"Array of objects","items":{"$ref":"#/components/schemas/Terminal"},"type":"array"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Entity"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Lists all terminals","tags":["Terminals"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/personalization/api-reference/sports/terminals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
